### Method

# EDataBook BookBackend list_views

since: 3.8

#### Declaration [src]

    GList*
    e_book_backend_list_views (
      EBookBackend* backend
    )

#### Description [src]

Returns a list of `EDataBookView` instances added with e_book_backend_add_view().

The views returned in the list are referenced for thread-safety. They must each be unreferenced with `g_object_unref()` when finished with them. Free the returned list itself with g_list_free().

An easy way to free the list properly in one step is as follows:

      g_list_free_full (list, g_object_unref);

Available since: 3.8

#### Return value

Type: A list of `EDataBookView*`

A list of book views.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.